%define upstream_name    IO-Socket-Multicast
%define upstream_version 1.12

%{?perl_default_filter}

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 29

Summary:        Send and receive multicast messages
License:        GPL+ or Artistic
Group:          Development/Perl
Url:            https://metacpan.org/release/%{upstream_name}
Source:         https://cpan.metacpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl-devel
BuildRequires:  perl(IO::Interface)


%description
IO::Socket::Multicast is designed to take the effort out of managing
some multicast network.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes README  META.yml
%{perl_vendorarch}/IO
%{perl_vendorarch}/auto/IO
%{_mandir}/man*/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.120.0-29.mga10
+ Revision: 2226662
- Mageia 10 Mass Rebuild

* Fri Aug 23 2024 tv <tv> 1.120.0-28.mga10
+ Revision: 2089257
- Rebuild for perl-5.40

* Tue Nov 28 2023 tv <tv> 1.120.0-27.mga10
+ Revision: 2010469
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.120.0-26.mga9
+ Revision: 1862013
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.120.0-25.mga9
+ Revision: 1796370
- Mageia 9 Mass Rebuild

* Tue May 25 2021 tmb <tmb> 1.120.0-24.mga9
+ Revision: 1728012
- rebuild for perl 5.34
+ umeabot <umeabot>
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.120.0-22.mga8
+ Revision: 1594820
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.120.0-21.mga8
+ Revision: 1530406
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 1.120.0-20.mga8
+ Revision: 1433713
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.120.0-19.mga7
+ Revision: 1293196
- Mageia 7 Mass Rebuild

* Thu Aug 09 2018 tv <tv> 1.120.0-18.mga7
+ Revision: 1250740
- rebuild for perl-5.28

* Tue Oct 03 2017 tv <tv> 1.120.0-17.mga7
+ Revision: 1165017
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.120.0-16.mga7
+ Revision: 1149834
- Rebuild for perl ABI changes

* Sat Jul 22 2017 shlomif <shlomif> 1.120.0-15.mga7
+ Revision: 1128251
- modernize spec
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.120.0-14.mga6
+ Revision: 1028780
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.120.0-13.mga6
+ Revision: 957546
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 1.120.0-12.mga6
+ Revision: 843214
- Rebuild for perl 5.22

* Sat Oct 18 2014 umeabot <umeabot> 1.120.0-11.mga5
+ Revision: 788400
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.120.0-10.mga5
+ Revision: 748565
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.120.0-9.mga5
+ Revision: 685079
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 1.120.0-8.mga5
+ Revision: 632274
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.120.0-7.mga4
+ Revision: 524588
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.120.0-6.mga4
+ Revision: 431232
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.120.0-5.mga3
+ Revision: 368542
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.120.0-4.mga3
+ Revision: 250786
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.120.0-3.mga2
+ Revision: 104707
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.120.0-2.mga1
+ Revision: 32099
- mageia rebuild
- imported package perl-IO-Socket-Multicast


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.120.0-2mdv2011.0
+ Revision: 555964
- rebuild for perl 5.12

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.120.0-1mdv2011.0
+ Revision: 552324
- update to 1.12

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 1.110.0-1mdv2010.1
+ Revision: 461297
- update to 1.11

* Wed Jul 15 2009 Jérôme Quelin <jquelin@mandriva.org> 1.70.0-1mdv2010.0
+ Revision: 396357
- adding missing buildrequires:
- wrongly changed extension
- adding missing buildrequires:
- using %%perl_convert_version

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - update to new version 1.07

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.05-5mdv2009.0
+ Revision: 257316
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.05-3mdv2008.1
+ Revision: 152121
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.05-2mdv2008.0
+ Revision: 86509
- rebuild


* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.05-1mdv2007.0
- New version 1.05
- spec cleanup
- better summary
- drop explicit provides

* Thu Jun 22 2006 Erwan Velu <erwan@seanodes.com> 1.04-3
- Rebuild

* Mon Feb 20 2006 Erwan Velu <erwan@seanodes.com> 1.04-2mdk
- Wrong spec name

* Mon Feb 06 2006 Erwan Velu <erwan@seanodes.com> 1.04-1mdk
- 1.04

